Description

Logically, the "New Issue" menu item does not belong to the main-menu, but to the sidebar within the Issues category (New Issue,

View all issues, Summary)

As this is the main feature of Redmine, it is obvious to put it in the main-menu. Additionally it would be nice to have it in the Issues

category too. A lot of our users where looking for this item in the sidebar.

Related issues:

Related to Redmine - Feature #6204: Make the "New issue" menu item optional Closed 2010-08-25

Has duplicate Redmine - Defect #10701: Usability - New Issue Closed

Is duplicate of Redmine - Feature #15880: Consistent, global button/menu to a... Closed

History

#1 - 2011-09-26 14:58 - gurushant birajdar

can you please provide details about how to perform this operation..??

#2 - 2015-12-22 01:00 - Go MAEDA

Please see #15880. New button to add various objects is discussed.

#3 - 2015-12-22 01:00 - Go MAEDA

- Is duplicate of Feature #15880: Consistent, global button/menu to add new content added

#4 - 2016-06-12 08:01 - Jean-Philippe Lang

- Status changed from New to Closed

Go MAEDA wrote:

I suggest making a small change to "+" button. "This patch" (attachment:15880-add-link-to-new-issue.diff) adds link to /issues/new page to plus

button. Users can access to the page quickly like conventional "New issue" tab, only by clicking "+" button.

 The click on the "+" displays the menu, which is required for touch devices as explained by Jan. Clicking on the "+" should not link to a particular

menu item IMHO.

Current implementation:

1. Move cursor to "+". Dropdown menu shows up.

2. Move cursor to "New issue" menu item.

3. Click left button of a mouse.

 Yes, that's why I'm not really convinced of this new menu item. Anyway, it's merged into 3.3, with a setting to choose whether to use the new "+"

(default), the old "New issue" tab or nothing.

I'm closing this issue, please submit any improvements/changes in a separate issue for 3.3.1.
